Asset ingest status
Read processing status for an uploaded asset. Use this after upload completion until the asset is ready or failed.
GET
Asset ingest status
Authorizations
A workspace API key.
Path Parameters
Stable project asset id returned by GET /v1/assets.
Required string length:
1 - 200Query Parameters
Project returned by project_session_start or POST /v1/projects.
Required string length:
1 - 200Response
Success.
Stable project asset id.
Project that owns the asset.
Storage content id to pass to video.edit once ready is true.
Current asset readiness state.
Current content-storage synchronization state.
True when the content id is ready for downstream jobs.
True when ingest will not make further progress.
True while the client may continue polling.
Last ingest-state update time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$